# Retrieve A Live Session

## /v1/live\_entities/:entity\_id/live\_sessions/:id

<mark style="color:blue;">`GET`</mark> `https://api.uiza.sh/v1/live_entities/:entity_id/live_sessions/:id`

#### Path Parameters

| Name       | Type   | Description                                                                |
| ---------- | ------ | -------------------------------------------------------------------------- |
| id         | string | The identifier of the live session to be retrieved.                        |
| entity\_id | string | The identifier of the live entity whose live sessions are to be retrieved. |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "26bc07f6-c581-4c77-acbe-4ed7564d2e39",
    "live_entity_id": "df0c96c0-c9ed-4d66-ba3a-cc09e36b3828",
    "video_entity_id": "f42b4ac3-869e-4010-8e21-042e40be7655",
    "ingest_key": "live_Yez8pTBcPh",
    "duration": 324.703,
    "dvr": true,
    "preset": {
        "id": "8ab03df6-1dde-4625-a3eb-ef5cf62e4e6e",
        "name": "Uiza LIVE 480p",
        "description": "Made by developer",
        "is_default": false,
        "profiles": [
            {
                "id": "735299b7-5988-11ea-883b-028fc5698662",
                "name": "480p H264 30fps Normal Latency",
                "segment_duration": 4,
                "orientation": "landscape",
                "video_profile": {
                    "video_resolution": "480",
                    "video_codec": "H264",
                    "video_bitrate": "1000K",
                    "video_frame_rate": "30"
                },
                "audio_profile": {
                    "audio_channel": "2",
                    "audio_codec": "AAC",
                    "audio_bitrate": "128K",
                    "audio_frame_rate": "1"
                }
            }
        ],
        "created_at": "2020-03-16T09:06:21Z",
        "updated_at": "2020-03-17T06:47:20Z"
    },
    "created_at": "2020-03-18T03:00:32Z",
    "updated_at": "2020-03-18T03:05:56Z"
}
```

{% endtab %}

{% tab title="400 " %}
{% tabs %}
{% tab title="Missing session id" %}

```
{
 "message": "Your request is missing id parameter. Please, verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="Missing entity\_id" %}

```
{
 "message": "Your request is missing entity_id parameter. Please, verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}
{% tabs %}
{% tab title="Live session not found" %}

```
{
 "message": "The live session you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X GET https://api.uiza.sh/v1/live_entities/ddb781eb-38d1-42bf-921f-0d2d9130ce15/live_sessions/1a513f1a-fe0e-4662-9512-233db26811b3 
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
```

{% endcode %}
